<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="Ptlxccq" >
<!-- 	<typeAlias alias="Ptlxccqbean" type="com.vp.XXX.model.PtlxccqBean"/> -->
	
	<sql id="condition_Ptlxccq">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKEccqbh'>
			(ccqbh like concat('%',#LIKEccqbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ccqbh'>
			(ccqbh = #ccqbh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEccqmc'>
			(ccqmc like concat('%',#LIKEccqmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ccqmc'>
			(ccqmc = #ccqmc#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEccqlx'>
			(ccqlx like concat('%',#LIKEccqlx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ccqlx'>
			(ccqlx = #ccqlx#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEccqdx'>
			(ccqdx like concat('%',#LIKEccqdx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ccqdx'>
			(ccqdx = #ccqdx#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsydx'>
			(sydx like concat('%',#LIKEsydx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sydx'>
			(sydx = #sydx#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxccsj'>
			(lxccsj like concat('%',#LIKElxccsj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxccsj'>
			(lxccsj = #lxccsj#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzdlxs'>
			(zdlxs like concat('%',#LIKEzdlxs# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zdlxs'>
			(zdlxs = #zdlxs#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzzlxls'>
			(zzlxls like concat('%',#LIKEzzlxls# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zzlxls'>
			(zzlxls = #zzlxls#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzzhfls'>
			(zzhfls like concat('%',#LIKEzzhfls# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zzhfls'>
			(zzhfls = #zzhfls#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfwqdz'>
			(fwqdz like concat('%',#LIKEfwqdz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fwqdz'>
			(fwqdz = #fwqdz#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjf'>
			(jf like concat('%',#LIKEjf# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jf'>
			(jf = #jf#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwz'>
			(wz like concat('%',#LIKEwz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wz'>
			(wz = #wz#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzt'>
			(zt like concat('%',#LIKEzt# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zt'>
			(zt = #zt#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwjxzdk'>
			(wjxzdk like concat('%',#LIKEwjxzdk# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wjxzdk'>
			(wjxzdk = #wjxzdk#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfzjf'>
			(fzjf like concat('%',#LIKEfzjf# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fzjf'>
			(fzjf = #fzjf#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(cjry like concat('%',#LIKEcjry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(cjry = #cjry#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(cjrq like concat('%',#LIKEcjrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(cjrq = #cjrq#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xgry like concat('%',#LIKExgry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xgry = #xgry#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xgrq like concat('%',#LIKExgrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xgrq = #xgrq#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like concat('%',#LIKEbz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz#  )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Ptlxccq" parameterClass="java.util.Map">
		insert into 
		Ptlxccq(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='ccqbh'>ccqbh</isNotEmpty>
<isNotEmpty prepend=',' property='ccqmc'>ccqmc</isNotEmpty>
<isNotEmpty prepend=',' property='ccqlx'>ccqlx</isNotEmpty>
<isNotEmpty prepend=',' property='ccqdx'>ccqdx</isNotEmpty>
<isNotEmpty prepend=',' property='sydx'>sydx</isNotEmpty>
<isNotEmpty prepend=',' property='lxccsj'>lxccsj</isNotEmpty>
<isNotEmpty prepend=',' property='zdlxs'>zdlxs</isNotEmpty>
<isNotEmpty prepend=',' property='zzlxls'>zzlxls</isNotEmpty>
<isNotEmpty prepend=',' property='zzhfls'>zzhfls</isNotEmpty>
<isNotEmpty prepend=',' property='fwqdz'>fwqdz</isNotEmpty>
<isNotEmpty prepend=',' property='jf'>jf</isNotEmpty>
<isNotEmpty prepend=',' property='wz'>wz</isNotEmpty>
<isNotEmpty prepend=',' property='zt'>zt</isNotEmpty>
<isNotEmpty prepend=',' property='wjxzdk'>wjxzdk</isNotEmpty>
<isNotEmpty prepend=',' property='fzjf'>fzjf</isNotEmpty>
<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty  prepend=',' property='ccqbh'>#ccqbh#</isNotEmpty>
<isNotEmpty prepend=',' property='ccqmc'>#ccqmc#</isNotEmpty>
<isNotEmpty prepend=',' property='ccqlx'>#ccqlx#</isNotEmpty>
<isNotEmpty prepend=',' property='ccqdx'>#ccqdx#</isNotEmpty>
<isNotEmpty prepend=',' property='sydx'>#sydx#</isNotEmpty>
<isNotEmpty prepend=',' property='lxccsj'>#lxccsj#</isNotEmpty>
<isNotEmpty prepend=',' property='zdlxs'>#zdlxs#</isNotEmpty>
<isNotEmpty prepend=',' property='zzlxls'>#zzlxls#</isNotEmpty>
<isNotEmpty prepend=',' property='zzhfls'>#zzhfls#</isNotEmpty>
<isNotEmpty prepend=',' property='fwqdz'>#fwqdz#</isNotEmpty>
<isNotEmpty prepend=',' property='jf'>#jf#</isNotEmpty>
<isNotEmpty prepend=',' property='wz'>#wz#</isNotEmpty>
<isNotEmpty prepend=',' property='zt'>#zt#</isNotEmpty>
<isNotEmpty prepend=',' property='wjxzdk'>#wjxzdk#</isNotEmpty>
<isNotEmpty prepend=',' property='fzjf'>#fzjf#</isNotEmpty>
<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Ptlxccq" parameterClass="java.util.Map">
		update Ptlxccq 
		<dynamic prepend="set ">   
			<isNotEmpty prepend=',' property='ccqmc'>ccqmc=#ccqmc#</isNotEmpty>
<isNotEmpty prepend=',' property='ccqlx'>ccqlx=#ccqlx#</isNotEmpty>
<isNotEmpty prepend=',' property='ccqdx'>ccqdx=#ccqdx#</isNotEmpty>
<isNotEmpty prepend=',' property='sydx'>sydx=#sydx#</isNotEmpty>
<isNotEmpty prepend=',' property='lxccsj'>lxccsj=#lxccsj#</isNotEmpty>
<isNotEmpty prepend=',' property='zdlxs'>zdlxs=#zdlxs#</isNotEmpty>
<isNotEmpty prepend=',' property='zzlxls'>zzlxls=#zzlxls#</isNotEmpty>
<isNotEmpty prepend=',' property='zzhfls'>zzhfls=#zzhfls#</isNotEmpty>
<isNotEmpty prepend=',' property='fwqdz'>fwqdz=#fwqdz#</isNotEmpty>
<isNotEmpty prepend=',' property='jf'>jf=#jf#</isNotEmpty>
<isNotEmpty prepend=',' property='wz'>wz=#wz#</isNotEmpty>
<isNotEmpty prepend=',' property='zt'>zt=#zt#</isNotEmpty>
<isNotEmpty prepend=',' property='wjxzdk'>wjxzdk=#wjxzdk#</isNotEmpty>
<isNotEmpty prepend=',' property='fzjf'>fzjf=#fzjf#</isNotEmpty>
<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>

		</dynamic>
			where 1=1 
			<isNotEmpty  prepend='AND' property='XGTJccqbh'>
ccqbh= #XGTJccqbh#
 </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Ptlxccq" parameterClass="java.util.Map">
		delete from Ptlxccq 
		<include refid="condition_Ptlxccq"/>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Ptlxccq" parameterClass="java.util.Map">
		delete from Ptlxccq 
		where 1=1
			<isNotEmpty prepend='AND' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Ptlxccq" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			ccqbh,ccqmc,ccqlx,ccqdx,sydx,lxccsj,zdlxs,zzlxls,zzhfls,fwqdz,jf,wz,zt,wjxzdk,fzjf,cjry,cjrq,xgry,xgrq,bz
		from Ptlxccq 
		<include refid="condition_Ptlxccq"/>
		<isNotEmpty prepend=' ' property='start'>
			limit #start# ,#limit#
		</isNotEmpty>
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Ptlxccq" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from Ptlxccq 
		<include refid="condition_Ptlxccq"/>			
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Ptlxccq" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into Ptlxccq(
			 <![CDATA[ 
				ccqbh,ccqmc,ccqlx,ccqdx,sydx,lxccsj,zdlxs,zzlxls,zzhfls,fwqdz,jf,wz,zt,wjxzdk,fzjf,cjry,cjrq,xgry,xgrq,bz
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
			#list[].ccqbh#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











